Bug 1799539 - Gathering virt platform info is not complete due to insufficient privileges for some bios detection
Summary: Gathering virt platform info is not complete due to insufficient privileges f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.4
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.4.0
Assignee: Clayton Coleman
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1799540 1799541
TreeView+ depends on / blocked
 
Reported: 2020-02-06 18:25 UTC by Clayton Coleman
Modified: 2020-05-13 21:56 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1799540 (view as bug list)
Environment:
Last Closed: 2020-05-13 21:56:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 645 None closed Bug 1799539: Node exporter init collectors must be privileged 2020-03-06 00:38:11 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-13 21:56:49 UTC

Description Clayton Coleman 2020-02-06 18:25:30 UTC
The init collector for node_exporter should have been privileged because dmidecode (used for some detection) requires higher privileges than is given by default. Giving that to the init container does not reduce runtime safety since only the init container will be given it.

Backport to all versions that have the collector.

Comment 5 errata-xmlrpc 2020-05-13 21:56:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.